Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556525 - uwsgi: FTBFS in F28
Summary: uwsgi: FTBFS in F28
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: uwsgi
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jorge Gallegos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-15 00:03 UTC by Fedora Release Engineering
Modified: 2018-04-03 20:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-03 20:43:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-15 00:03:40 UTC
Your package uwsgi failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24901562

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Till Maas 2018-03-29 19:05:57 UTC
FYI from bug #1518795:
https://bugzilla.redhat.com/show_bug.cgi?id=1518795#c5

Jakub Jelen 2018-03-29 18:31:37 CEST
The one issue is fixed by this one:
https://src.fedoraproject.org/cgit/rpms/nginx.git/tree/0001-unix-ngx_user-Apply-fix-for-really-old-bug-in-glibc-.patch

It is already discussed upstream:
https://github.com/unbit/uwsgi/issues/1220

But the patch is still not there.

The other issue is fixed by my PR:
https://github.com/unbit/uwsgi/pull/1768


Then there is an issue with missing glfs.h in rawhide:

https://bugzilla.redhat.com/show_bug.cgi?id=1536908

Then the spec file needs not to generate the subpackage for the removed module.

I filled the followint PR, which makes it building in Fedora 28, but because of the glfs, not in rawhide (at least not in mock):

https://src.fedoraproject.org/rpms/uwsgi/pull-request/2

Comment 2 Jakub Jelen 2018-04-03 12:50:43 UTC
The package is built in Fedora 28, but not in rawhide, where it still fails in rawhide. This bug should be probably closed as resolved.


For rawhide, one more patch is needed:

https://src.fedoraproject.org/rpms/uwsgi/pull-request/3

Till, I am sorry I was not able to finish this on Friday, but will you merge also this change and submit rawhide build, or are we going to leave it on the package maintainer (since for rawhide, there is nowhere to hurry now)?

Comment 3 Till Maas 2018-04-03 20:43:00 UTC
Thank you very much Jakub, I merged your PR and added a changelog entry that I forgot before and started a build to also get Rawhide in a good shape. It would be strange to have this feature done in Fedora 28 but not Rawhide IMHO.


Note You need to log in before you can comment on or make changes to this bug.